USE [COWS]
GO
_CreateObject 'SP','dbo','deletePartialFSAOrder'
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

-- =========================================================
-- Author:		sbg9814
-- Create date: 07/14/2011
-- Description:	Deletes the FSA data that has been partially loaded.
-- =========================================================
ALTER PROCEDURE [dbo].[deletePartialFSAOrder]
	@ORDR_ID	Int
AS
BEGIN
SET NOCOUNT ON;
Begin Try
	IF @ORDR_ID != 0
	BEGIN
		EXEC	[dbo].[deleteActiveTasks]	@ORDR_ID
	
		DELETE FROM	dbo.CCD_HIST_REAS WITH (ROWLOCK) WHERE CCD_HIST_ID IN (SELECT CCD_HIST_ID FROM dbo.CCD_HIST WITH (NOLOCK) WHERE ORDR_ID = @ORDR_ID)
		DELETE FROM dbo.CCD_HIST WITH (ROWLOCK) WHERE ORDR_ID = @ORDR_ID
		DELETE	FROM dbo.FSA_ORDR_GOM_XNCI		WITH (ROWLOCK)	WHERE ORDR_ID = @ORDR_ID
		DELETE	FROM dbo.FSA_ORDR_CSC			WITH (ROWLOCK)	WHERE ORDR_ID = @ORDR_ID
		DELETE FROM dbo.FSA_ORDR_MSG WITH (ROWLOCK) WHERE ORDR_ID = @ORDR_ID
		DELETE FROM dbo.ORDR_EXP WITH (ROWLOCK) WHERE ORDR_ID = @ORDR_ID
		DELETE	FROM dbo.ORDR_JPRDY				WITH (ROWLOCK)	WHERE ORDR_ID = @ORDR_ID	
		DELETE  FROM dbo.ORDR_NTE				WITH (ROWLOCK) WHERE ORDR_ID = @ORDR_ID
		DELETE	FROM dbo.FSA_ORDR_VAS			WITH (ROWLOCK) WHERE ORDR_ID = @ORDR_ID
		DELETE	FROM dbo.FSA_ORDR_BILL_LINE_ITEM WITH (ROWLOCK) WHERE ORDR_ID = @ORDR_ID
		DELETE	FROM dbo.FSA_ORDR_CPE_LINE_ITEM	WITH (ROWLOCK) WHERE ORDR_ID = @ORDR_ID
		DELETE	FROM dbo.ORDR_ADR				WITH (ROWLOCK)	WHERE ORDR_ID = @ORDR_ID
		DELETE	FROM dbo.ORDR_CNTCT				WITH (ROWLOCK)	WHERE ORDR_ID = @ORDR_ID
		DELETE	FROM dbo.FSA_ORDR_CUST			WITH (ROWLOCK)	WHERE ORDR_ID = @ORDR_ID
		DELETE	FROM dbo.FSA_IP_ADR				WITH (ROWLOCK)	WHERE ORDR_ID = @ORDR_ID
		DELETE	FROM dbo.ORDR_REC_LOCK			WITH (ROWLOCK)	WHERE ORDR_ID = @ORDR_ID
		DELETE	FROM dbo.USER_WFM_ASMT			WITH (ROWLOCK)	WHERE ORDR_ID = @ORDR_ID
		DELETE	FROM dbo.ODIE_RSPN_INFO	WITH (ROWLOCK)			WHERE	REQ_ID IN 
							(SELECT REQ_ID FROM dbo.ODIE_REQ WITH (NOLOCK)	WHERE	ORDR_ID = @ORDR_ID)
		DELETE	FROM dbo.ODIE_RSPN		WITH (ROWLOCK)			WHERE	REQ_ID IN 
							(SELECT REQ_ID FROM dbo.ODIE_REQ WITH (NOLOCK)	WHERE	ORDR_ID = @ORDR_ID)
		DELETE	FROM dbo.ODIE_REQ		WITH (ROWLOCK)			WHERE	ORDR_ID = @ORDR_ID
	
		DELETE	FROM dbo.MPLS_ACCS	WITH (ROWLOCK)				WHERE	SIP_TRNK_GRP_ID	IN	
				(SELECT SIP_TRNK_GRP_ID FROM dbo.SIP_TRNK_GRP WITH (NOLOCK) WHERE ORDR_ID =	@ORDR_ID)
		DELETE	FROM dbo.SIP_TRNK_GRP		WITH (ROWLOCK)	WHERE	ORDR_ID = @ORDR_ID		
	
		DELETE	FROM dbo.ORDR_MS			WITH (ROWLOCK)	WHERE	ORDR_ID = @ORDR_ID
		DELETE	FROM dbo.CKT_MS			WITH (ROWLOCK)	WHERE	CKT_ID IN (SELECT CKT_ID FROM dbo.CKT with (nolock) WHERE	ORDR_ID = @ORDR_ID)
		DELETE	FROM dbo.CKT_COST		WITH (ROWLOCK)	WHERE	CKT_ID IN (SELECT CKT_ID FROM dbo.CKT with (nolock) WHERE	ORDR_ID = @ORDR_ID)
		DELETE	FROM dbo.CKT			WITH (ROWLOCK)	WHERE	ORDR_ID = @ORDR_ID
		DELETE	FROM dbo.ASR				WITH (ROWLOCK)	WHERE	ORDR_ID = @ORDR_ID
		DELETE	FROM dbo.ORDR_STDI_HIST		WITH (ROWLOCK)	WHERE	ORDR_ID = @ORDR_ID
		DELETE	FROM dbo.TRPT_ORDR			WITH (ROWLOCK)	WHERE	ORDR_ID = @ORDR_ID
		DELETE	FROM dbo.EMAIL_REQ			WITH (ROWLOCK)	WHERE	ORDR_ID = @ORDR_ID
		DELETE	FROM dbo.FSA_ORDR_GOM_XNCI	WITH (ROWLOCK)	WHERE	ORDR_ID = @ORDR_ID
		DELETE FROM PS_REQ_LINE_ITM_QUEUE WITH (ROWLOCK) WHERE ORDR_ID = @ORDR_ID
		DELETE FROM PS_REQ_HDR_QUEUE WITH (ROWLOCK) WHERE ORDR_ID = @ORDR_ID
		DELETE FROM dbo.SSTAT_REQ WITH (ROWLOCK) WHERE ORDR_ID =  @ORDR_ID
		DELETE	FROM dbo.FSA_ORDR			WITH (ROWLOCK)	WHERE	ORDR_ID = @ORDR_ID
		DELETE FROM dbo.M5_ORDR_MSG WITH (ROWLOCK)	WHERE	ORDR_ID = @ORDR_ID

		UPDATE dbo.ORDR WITH (ROWLOCK)
			SET		PRNT_ORDR_ID	=	ORDR_ID
			WHERE	PRNT_ORDR_ID	=	@ORDR_ID
			
		IF EXISTS
			(
				SELECT 'X' FROM dbo.M5_ORDR_MSG WITH (NOLOCK) WHERE ORDR_ID = @ORDR_ID
			)
			BEGIN
				DELETE FROM dbo.M5_ORDR_MSG WITH (ROWLOCK) WHERE ORDR_ID = @ORDR_ID
			END
		--Vendor Related
		UPDATE dbo.VNDR_ORDR WITH (ROWLOCK) SET ORDR_ID = NULL WHERE ORDR_ID = @ORDR_ID
				
		DELETE	FROM dbo.L2P_LOG	WITH (ROWLOCK)	WHERE ORDR_ID = @ORDR_ID
		DELETE FROM dbo.MDS_EVENT_CPE WITH (ROWLOCK) WHERE ORDR_ID = @ORDR_ID  
		DELETE FROM dbo.MDS_EVENT_ACCS WITH (ROWLOCK) WHERE ORDR_ID = @ORDR_ID  
		DELETE FROM	dbo.MDS_EVENT_MNS	WITH (ROWLOCK) WHERE ORDR_ID = @ORDR_ID  	
		DELETE FROM dbo.ORDR_VLAN WITH (ROWLOCK) WHERE ORDR_ID = @ORDR_ID
		
		
		DELETE	FROM dbo.ORDR		WITH (ROWLOCK)	WHERE ORDR_ID = @ORDR_ID

		SELECT 1
	END
	ELSE
		SELECT -1
End Try

Begin Catch
	EXEC dbo.insertErrorInfo
	SELECT -1
End Catch	
END

